Bug 1024116 - two non-identical bugs are reported as identical
two non-identical bugs are reported as identical
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On: 1024818
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 17:39 EDT by Chris Murphy
Modified: 2015-06-29 08:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:45:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Murphy 2013-10-28 17:39:55 EDT
Description of problem:

Bug 1024076 is considered by abrt to be bug 1021507. See bug 1021507 comment 20.


Version-Release number of selected component (if applicable):
abrt-2.1.8-1.fc20

How reproducible:
Always
Comment 1 Jakub Filak 2013-10-29 06:26:46 EDT
Thank you for the report. This is a consequence of machine based comparison of backtraces. While searching for duplicate reports, the bugzilla reporter tries to find a bug having a value of abrt_hash from Whiteboard equal to a value of duphash element from the reported exception. In case of anaconda bugs the duphash is generated by python-meh [1] and it seems that python-meh's duphash generator does not produce sufficiently unique hashes. The algorithm hashes only function, file and text [2] but this is not enough for exceptions thrown by blivet. It seems that all exceptions which are generated in blivets's command handler are caught, wrapped and re-thrown as an instance of DeviceCreateError exception [3]. The simplest solution is to add reported exception's text to the hashed bytes but this will generate different hashes for same exceptions throw in different localizations.

IMO, there are only two reliable solutions:
1. extend Python's Exception model with some mechanism providing an unique identifier for all exception instances
2. show users possible duplicate reports and let them decide which one is real duplicate

I prefer the second solution since the first is Utopia. Or we can preserve the current state where package maintainer asks reporters to open a separate bug.

Any thoughts on that?


1: https://git.fedorahosted.org/cgit/python-meh.git/tree/meh/handler.py#n258
2: https://git.fedorahosted.org/cgit/python-meh.git/tree/meh/dump.py#n469
3: https://git.fedorahosted.org/cgit/blivet.git/tree/blivet/devices.py#n1559
Comment 2 Jakub Filak 2013-10-29 08:21:26 EDT
CCing David Lehman because of bug 1021507 comment 20.

David, would it be possible to not wrap all exceptions in DeviceCreateError type?
Comment 3 Fedora End Of Life 2015-05-29 05:38:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:45:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.